unit math;
interface
var fcostable,fsintable:array[-359..+359] of real;

function fsin(v:longint):real;
function fcos(v:longint):real;

implementation

function fcos(v:longint):real;
begin
 fcos:=fcostable[v mod 360];
end;

function fsin(v:longint):real;
begin
 fsin:=fsintable[v mod 360];
end;

var q:integer;
begin
for q:=-359 to +359 do fsintable[q]:=sin(q*0.0174532925);
for q:=-359 to +359 do fcostable[q]:=cos(q*0.0174532925);
end.