(*
  
  TOOLS UNIT 1995 - MANY DOS&STRING FUNCTIONS
  
  (c)1995   Rsc Research

  Write me at:     or on Compuserve
       
  Cdric Rime           100340,2736
  Rte Palezieux
  1615 Bossonnens
  Switzerland


  This program is entered as Shareware.
  Feel free to incorporate the code into your own programs. (with my copyright)

  Any tips or suggestions would be appreciated !!!
*)




UNIT TOOLS;

INTERFACE


USES CRT,DOS;

CONST KEYUP=72;             (*X=READKEY;IF X=#0 THEN IF ORD(READKEY)=KEYUP THEN ...*)
      KEYDOWN=80;
      KEYLEFT=75;
      KEYRIGHT=77;
      KEYPGUP=73;
      KEYPGDOWN=81;
      KEYINSERT=82;
      KEYDELETE=83;
      KEYHOME=71;
      KEYEND=79;

VAR GETST_OLDSTRING:STRING; (*used in this library*)
VAR GETST_SOUND:boolean;    (*will you hear a keyclick with the GETSTR function*)

PROCEDURE GETSTR(VAR S:STRING);        (*equal to READLN*)
FUNCTION  CLEAN(S:STRING):STRING;      (*clean a string 'xxxHELLO MANxxx' remove the space (here='x')*)

function IsNumeric(s:string):boolean;  (*S contain a value '948.44' or it's a string ?*)

procedure dir(pattern:string);         (*equal to the DOS function DIR*)
function rval(st:string):real;         (*real:= rval(string) convert a string into a real value*)
function rstr(r:real):string;
function ival(st:string):integer;      (*int := ival(string) convert a string into an integer value*)
function istr(r:integer):string;
function lval(st:string):longint;      (*long:= lval(string) convert a string into a long value*)
function lstr(r:longint):string;
function toupper(st:string):string;    (*convert a string to upper case*)
function tolower(st:string):string;    (*convert a string to lower case*)
function from(st:string;x:byte):string;(*from('Yo man.',3)=> 'man.'*)
function right(st:string;x:byte):string;(*right('Yo man.',2)=> 'n.'*)
function left(st:string;x:byte):string;(*left('Yo man.',2)=> 'Yo'*)
function spc(w:byte):string;           (*return a string filled with W spaces*)
procedure xcopy(s,t:string);           (*=DOS : copy a file*)
function xerase(nom:string):boolean;   (*=DOS : erase a file*)
function xrename(nom,nom2:string):boolean;(*=DOS : rename a file*)
function exist(nom:string):boolean;    (*test if the file exist*)
function stringtonumber(y:string):real;(*convert a string in a number!! special see the code*)
function binary(V:BYTE;l:longint):string;(*binary(4,65537)='0010'*)
function hex2int(s:string):integer;    (*convert an hexadecimal value to an integer*)
function int2hex(l:longint):string;    (*convert an longint to a hexadecimal*)

implementation

const hexa='0123456789ABCDEF';

function int2hex(l:longint):string;
var s:string;
begin
s:='';if l=0 then begin int2hex:='';exit;end;
repeat
 insert(copy(hexa,(l and 15)+1,1),s,1);
 l:=l shr 4;
until (l<=0);
int2hex:=s;
end;

function hex2int(s:string):integer;
var q,w,r:integer;
begin
s:=toupper(s);
w:=1;r:=0;
for q:=1 to length(s) do
begin
r:=r+(pos(copy(s,length(s)-q+1,1),hexa)-1)*w;
w:=w*16;
end;
hex2int:=r;
end;

function binary(V:BYTE;l:longint):string;
var
    s:string;
    r:real;
begin
s:='';
r:=l;
repeat
r:=trunc(r);
r:=r/2;
if (trunc(r)*2)=trunc(r*2) then s:=s+'0' else s:=s+'1';
until r<1;
if length(s)<v then binary:=copy(s+'00000000000000000000000000000000000000000000000000',1,v)
               else binary:=s;
end;

function StringToNumber(y:string):real;
var q,w,e:integer;
    r:real;
    a,s:string;
    l:byte;
const Inum='0123456789';

procedure clean1;
var q:integer;
begin
for q:=1 to l do if (pos(copy(y,q,1),inum)>0) and (pos(copy(y,q,1),inum)<11) then a:=a+copy(y,q,1);
end;

procedure clean2;
var q,w:integer;
begin
w:=0;
for q:=1 to l do if (pos(copy(y,q,1),inum)>0) and (pos(copy(y,q,1),inum)<11) then a:=a+copy(y,q,1)
    else if (copy(y,q,1)='.') and (w=0) then begin a:=a+copy(y,q,1);w:=1;end;
end;

begin
l:=length(y);if l<1 then begin stringtonumber:=0;exit;end;
a:='';
if (pos('.',y)>0) and (pos('.',y)<=l) then
   begin {float number}
   clean2;
   end else
   begin {integer number}
   clean1;
   end;
if a='.' then a:='0';
if copy(a,length(a),1)='.' then a:=copy(a,1,length(a)-1);
val(a,r,q);
stringtonumber:=r;
end;
function rval(st:string):real;
var d:integer;
    f:real;
begin
val(st,f,d);
rval:=f;
end;

function rstr(r:real):string;
var d:integer;
    f:string;
begin
str(r:12:5,f);
rstr:=f;
end;

function lval(st:string):longint;
var d:integer;
    f:longint;
begin
val(st,f,d);
lval:=f;
end;

function lstr(r:longint):string;
var d:longint;
    f:string;
begin
str(r,f);
lstr:=f;
end;


function ival(st:string):integer;
var d:integer;
    f:integer;
begin
val(st,f,d);
ival:=f;
end;

function istr(r:integer):string;
var d:integer;
    f:string;
begin
str(r,f);
istr:=f;
end;

function toupper(st:string):string;
var q:byte;
    s:string;
    dn,up:string;
begin
DN:='abcdefghijklmnopqrstuvwxyz';
up:='ABCDEFGHIJKLMNOPQRSTUVWXYZAAAAEEEEIIIIOOOOUUUUCC';
s:='';
for q:=1 to length(st) do if pos(st[q],dn)<>0 then s:=s+up[pos(st[q],dn)] else s:=s+st[q];
toupper:=s;
end;

function tolower(st:string):string;
var q:byte;
    s:string;
    up,dn:string;
begin
DN:='abcdefghijklmnopqrstuvwxyz';
up:='ABCDEFGHIJKLMNOPQRSTUVWXYZEEA';
s:='';
for q:=1 to length(st) do if pos(st[q],up)<>0 then s:=s+dn[pos(st[q],up)] else s:=s+st[q];
tolower:=s;
end;

function from(st:string;x:byte):string;
begin
if length(st)<0 then begin from:='';exit;end;
if x>length(st) then begin from:='';exit;end;
from:=copy(st,x,length(st)-x+1);
end;

function right(st:string;x:byte):string;
begin
if length(st)<0 then begin right:='';exit;end;
if x<1 then begin right:='';exit;end;
right:=copy(st,length(st)-x,x);
end;

function left(st:string;x:byte):string;
begin
if length(st)<0 then begin left:='';exit;end;
if x<1 then begin left:='';exit;end;
left:=copy(st,1,x);
end;

function  spc(w:byte):string;
var qqq:string;
    q:byte;
begin
qqq:='';
for q:=1 to w do qqq:=qqq+' ';
spc:=qqq;
end;
function xerase(nom:string):boolean;
var f:file;
begin
xerase:=true;
assign(f,nom);
{$i-}rewrite(f,1);{$i+} if ioresult<>0 then xerase:=false;
close(f);
erase(f);
end;
function xrename(nom,nom2:string):boolean;
var f:file;
begin
xrename:=true;
assign(f,nom);
{$i-}reset(f,1);{$i+} if ioresult<>0 then xrename:=false;
close(f);
rename(f,nom2);
end;

procedure xcopy(s,t:string);
var fi,fo:file;
    b:pointer;
    cnt:longint;
    res,res2:word;
begin
getmem(b,65000);
if b=nil then begin writeln('Need more ram (tools/xcopy)');halt;end;
assign(fi,s);
reset(fi,1);
assign(fo,t);
rewrite(fo,1);
cnt:=filesize(fi);
repeat
if cnt>65000 then blockread(fi,b^,65000,res)
             else blockread(fi,b^,integer(cnt),res);
if res<>0 then
begin
 blockwrite(fo,b^,res,res2);
 dec(cnt,res);
end;
until res=0;
close(fi);
close(fo);
freemem(b,65000);
end;

function exist(nom:string):boolean;
var tttx:file;
begin
assign(tttx,nom);
{$i-}reset(tttx,1);{$i+}
exist:=true;
if ioresult<>0 then exist:=false;
end;


procedure dir(pattern:string);
var r:searchrec;
    Xdir:array[0..1023] of string[12];
    Q,W,LINECOUNT,MAXCOUNT,nbr:integer;
    S:STRING;
begin
GETDIR(0,S);
LINECOUNT:=0;
MAXCOUNT:=5*(HI(WINDMAX) DIV 2);IF MAXCOUNT<1 THEN MAXCOUNT:=5;
writeln;
write('');
WRITELN('DIRECTORY :     ',S);
writeLN('');

nbr:=-1;
findfirst(pattern,ANYFILE,r);
while (doserror=0) do
 begin
  INC(NBR);
  IF R.ATTR=VOLUMEID THEN BEGIN END
  ELSE
  IF R.ATTR=DIRECTORY THEN BEGIN XDIR[NBR]:=#16+R.NAME;END
  ELSE XDIR[NBR]:=R.NAME;
 FINDNEXT(R);
 end;
FOR Q:=0 TO NBR DO FOR W:=Q TO NBR DO
  IF (XDIR[Q]>XDIR[W]) THEN BEGIN S:=XDIR[Q];XDIR[Q]:=XDIR[W];XDIR[W]:=S;END;
FOR Q:=0 TO NBR DO
  BEGIN
   WRITE(XDIR[Q]:16);
   INC(LINECOUNT);
   IF LINECOUNT>=MAXCOUNT THEN
   IF (WHEREX=1) AND (WHEREY>=HI(WINDMAX)) THEN BEGIN READKEY;LINECOUNT:=0;END;
  END;
IF (NBR+1) MOD 5<>4 THEN WRITELN;
writeLN('');
end;

function IsNumeric(s:string):boolean;
const v='0123456789.+-';
var   chk:boolean;
      q:byte;
begin
if length(s)<1 then begin IsNumeric:=false;exit;end;
chk:=true;
for q:=1 to length(s) do
  if pos(s[q],v)<1 then chk:=false;
IsNumeric:=chk;
end;

PROCEDURE GETSTR(VAR S:STRING);
VAR X:INTEGER;
    STX,STY,LENX:INTEGER;
    Q,W,E:INTEGER;
    OUT:BYTE;
    C:CHAR;

PROCEDURE PR(SS:STRING);
VAR Q:INTEGER;
    W:WORD;
BEGIN
W:=(STY-1)*160+(STX-1)*2;
FOR Q:=1 TO LENGTH(SS) DO MEMW[$B800:W+(Q-1)*2]:=TEXTATTR SHL 8+ORD(SS[Q]);
(*GOTOXY(1,8);WRITE(STX:5,STY:5,X:5,SS);*)
GOTOXY((STX+X-1) MOD 80,STY+((STX+X-1) DIV 80));
END;

BEGIN
STX:=WHEREX;STY:=WHEREY;LENX:=80-STX;
X:=1;OUT:=0;
REPEAT
nosound;
C:=READKEY;
if GETST_SOUND then begin sound(4000);delay(1);nosound;end;
CASE C OF
 #13:OUT:=1;
 #27:BEGIN S:=' ';X:=1;out:=1;END;
 #08:IF X>1 THEN
     BEGIN
     DELETE(S,X-1,1);DEC(X);IF X>LENGTH(S) THEN X:=LENGTH(S)+1;
     PR(S+' ');
     END;
 #09:BEGIN INC(X,8);IF X>LENGTH(S) THEN X:=LENGTH(S)+1;END;
 #00:CASE READKEY OF
          #82:BEGIN
               INSERT(' ',S,X);
              END;
          #83:IF (X<=LENGTH(S)) AND (LENGTH(S)>0) THEN
               BEGIN
                DELETE(S,X,1);sound(1000);
                PR(S+' ');
               END;
          #72:BEGIN
               PR(COPY(SPC(255),1,LENGTH(S)));
               S:=GETST_OLDSTRING;IF X>LENGTH(GETST_OLDSTRING) THEN X:=LENGTH(GETST_OLDSTRING)+1;
              END;
          #59:BEGIN
               PR(COPY(SPC(255),1,LENGTH(S)));
               S:=GETST_OLDSTRING;IF X>LENGTH(GETST_OLDSTRING) THEN X:=LENGTH(GETST_OLDSTRING)+1;
              END;
          #61:BEGIN
               PR(COPY(SPC(255),1,LENGTH(S)));
               S:=GETST_OLDSTRING;IF X>LENGTH(GETST_OLDSTRING) THEN X:=LENGTH(GETST_OLDSTRING)+1;
              END;
          #75:BEGIN
               DEC(X);
               IF X<1 THEN X:=1;
              END;
          #77:BEGIN
               INC(X);
               IF X>LENGTH(S) THEN X:=LENGTH(S)+1;
              END;
          #115:BEGIN
               DEC(X,5);
               IF X<1 THEN X:=1;
              END;
          #116:BEGIN
               INC(X,5);
               IF X>LENGTH(S) THEN X:=LENGTH(S)+1;
              END;
          #71:BEGIN
               X:=1;
              END;
          #79:BEGIN
               X:=LENGTH(S)+1;
              END;
          END
 ELSE BEGIN
      IF X>LENGTH(S) THEN BEGIN S:=S+C;INC(X);END
      ELSE
      BEGIN S[X]:=C;INC(X);END;
      END;
END;
PR(S);
UNTIL OUT=1;
while (length(s)>0) and (s[length(s)]=#32) do dec(s[0]);
IF S=' ' THEN S:='';
GOTOXY(STX,STY);
WRITELN(S);
GETST_OLDSTRING:=S;
END;

FUNCTION  CLEAN(S:STRING):STRING;
BEGIN
WHILE (S[1]=#32) AND (LENGTH(S)>0) DO DELETE(S,1,1);
WHILE (S[LENGTH(S)]=#32) AND (LENGTH(S)>0) DO DELETE(S,LENGTH(S),1);
CLEAN:=S;
END;

begin
GETST_OLDSTRING:=' ';
GETST_SOUND:=true;
end.